import { Class, ClassReflection, ObjectReflection } from "./types";
/**
 * Reflect module
 * @param path module name
 */
declare function reflect(path: string): ObjectReflection;
declare namespace reflect {
    var noop: typeof import("./decorators").noop;
    var ignore: typeof import("./decorators").ignore;
    var type: typeof import("./decorators").type;
    var parameterProperties: typeof import("./decorators").parameterProperties;
}
/**
 * Reflect class
 * @param classType Class
 */
declare function reflect(classType: Class): ClassReflection;
declare namespace reflect {
    var noop: typeof import("./decorators").noop;
    var ignore: typeof import("./decorators").ignore;
    var type: typeof import("./decorators").type;
    var parameterProperties: typeof import("./decorators").parameterProperties;
}
export { reflect };
